Std ViewRotateRight

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Std ViewRotateRight.svg Std ViewRotateRight

Menu location
View → Standard views → Rotate Right
Workbenches
All
Default shortcut
Shift+Right
Introduced in version
-
See also
Std ViewRotateLeft


Description

The Std ViewRotateRight command rotates the camera in the active 3D view around the view direction in 90-degree increments towards the right (clockwise).

Usage

  1. There are several ways to invoke the command:
    • Select the View → Standard views → Std ViewRotateRight.svg Rotate Right option from the menu.
    • Select the Standard views → Std ViewRotateRight.svg Rotate Right option from the 3D view context menu.
    • Use the keyboard shortcut: Shift+Right.

Scripting

See also: FreeCAD Scripting Basics.

To rotate the view to the right use the viewRotateRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()